%define tarname Routes
%define name	python-routes
%define version 1.12.3
%define release %mkrel 2

Summary:	Routing recognition and generation tools for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/R/%{tarname}/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://routes.groovie.org/
BuildArch:	noarch
Requires:	python-pkg-resources
Requires:	python-webob
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx, python-webob

%description
Routes is a Python re-implementation of the Rails routes system for
mapping URLs to application actions, and conversely to generate
URLs. Routes makes it easy to create pretty and concise URLs that are
RESTful with little effort.

Routes allows conditional matching based on domain, cookies, HTTP
method, or a custom function. Sub-domain support is built in. Routes
comes with an extensive unit test suite.

%files -f FILE_LIST
%doc CHANGELOG LICENSE README docs/_build/html

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
pushd docs
export PYTHONPATH=`dir -d ../build/lib*`
make html
rm -f _build/html/.buildinfo
popd docs



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.12.3-2.mga3
+ Revision: 379454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.12.3-1.mga3
+ Revision: 313569
- imported package python-routes

